import QtQuick 2.0
import "./presets.js" as PresetData

ListModel {
    property int default_idx
    property bool _initialized: false
    function init() {
      if (_initialized) { return }
      var data = PresetData.get();
      var pc = Qt.createComponent("Preset.qml");
      load(pc, data);
      _initialized = true;
    }
    function load(c, d) {
      var pj = d.presets;
      for (var i=0; i < pj.length; i++) {
        var po = c.createObject(null);
        po.name             = pj[i].name;
        po.display_name     = pj[i].display_name;
        po.description      = pj[i].description;
        po.brightness       = pj[i].brightness;
        po.contrast         = pj[i].contrast;
        po.desaturation     = pj[i].desaturation;
        this.append(po);
        if (po.name === "patch_default" ) { default_idx = i; console.debug("set patch default."); };
      }
      console.debug("loaded " + pj.length + " presets.")
    }
}
// vim: expandtab ts=4 st=4 filetype=javascript

